// Copyright (c) 2019 Giorgos Vougioukas
//
// The license can be found in the LICENSE file.

#ifndef _EUTERPE_AUDIO_SYSTEM_WINDOW_H_
#define _EUTERPE_AUDIO_SYSTEM_WINDOW_H_

#include "euterpe/definitions.h"

bool IsWin7OrLater();

class RSE_AudioSystemWnd
{
public:
  RSE_AudioSystemWnd();
  ~RSE_AudioSystemWnd();

  HWND Handle() const;

  static WDL_DLGRET ST_AudioSystemWndProc(
    HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

private:
  WDL_DLGRET AudioSystemWndProc(UINT msg, WPARAM wparam, LPARAM lparam);

  HWND m_hwnd;

};

#endif // _EUTERPE_AUDIO_SYSTEM_WINDOW_H_
